/* Дисклеймер цены */

.model-card__disclaimer {
	/* position: relative; */
	flex-shrink: 0;
	display: flex;
	align-items: center;
}

.model-card__disclaimer-toggle {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	margin: 0;
	line-height: 0;
	cursor: pointer;
	-webkit-tap-highlight-color: transparent;
}

.model-card__disclaimer-icon {
	display: block;
	border-radius: 100%;
	transition: background-color 0.2s ease;
}

.model-card__disclaimer-icon-ring,
.model-card__disclaimer-icon-mark {
	transition:
		stroke 0.2s ease,
		fill 0.2s ease;
}

/* .model-card__disclaimer-icon-ring {
	stroke: #ffc70a;
}

.model-card__disclaimer-icon-mark {
	fill: #ffc70a;
} */

@media (hover: hover) {
	.model-card__disclaimer-icon:hover {
		background: #A71425;
	}

	.model-card__disclaimer-icon:hover .model-card__disclaimer-icon-mark {
		fill: #FFFFFF;
	}
}

.model-card__disclaimer-text {
	position: absolute;
	left: 0;
	bottom: 34px;
	width: 448px;
	padding: 15px 23px;
	box-sizing: border-box;
	font-size: 11px;
	font-weight: 400;
	line-height: 100%;
	text-transform: none;
	color: rgba(0, 0, 0, 0.502);
	text-align: left;
	background: #FFFFFF;
	border: 1px solid #CECECE;
	box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.251);
	z-index: 2;
	opacity: 0;
	visibility: hidden;
	pointer-events: none;
	transition:
		opacity 0.2s ease,
		visibility 0.2s ease;
	white-space: normal;
	overflow-wrap: anywhere;
}

.model-card__disclaimer-close {
	display: none;
}

@media (hover: hover) and (min-width: 769px) {
	.model-card__disclaimer:hover .model-card__disclaimer-text {
		opacity: 1;
		visibility: visible;
		pointer-events: auto;
	}

	.model-card__disclaimer-close {
		display: none;
	}
}

@media screen and (max-width: 768px) {
	.model-card__disclaimer:has(.model-card__disclaimer-toggle.is-active) .model-card__disclaimer-text {
		opacity: 1;
		visibility: visible;
		pointer-events: auto;
		height: fit-content;
	}

	.model-card__disclaimer-toggle.is-active .model-card__disclaimer-icon {
		background: #A71425;
	}

	.model-card__disclaimer-toggle.is-active .model-card__disclaimer-icon-mark {
		fill: #FFFFFF;
	}

	.model-card__disclaimer-close {
		display: block;
		position: absolute;
		top: 8px;
		right: 8px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 20px;
		height: 20px;
		padding: 0;
		border: none;
		border-radius: 8px;
		cursor: pointer;
		display: none;
	}

	.model-card__disclaimer-text {
		font-size: 10px;
		bottom: 27px;
		width: 100%;
		padding: 10px 17px;
	}
}